[Apologies if this is a repeat.  First attempt seems to have failed.]

Followed the instructions and got this on a Macbook Pro (i.e. an Intel machine) running Python 2.6, OS X 10.5.6 and XCode 3.0:

[ron@mickey:~]$ sudo easy_install pyobjc==2.2b1
Searching for pyobjc==2.2b1
Best match: pyobjc 2.2b1
Processing pyobjc-2.2b1-py2.6.egg
pyobjc 2.2b1 is already the active version in easy-install.pth

Using /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/pyobjc-2.2b1-py2.6.egg
Processing dependencies for pyobjc==2.2b1
Searching for pyobjc-framework-ScreenSaver==2.2b1
Reading http://pypi.python.org/simple/pyobjc-framework-ScreenSaver/
Reading http://pyobjc.sourceforge.net
Best match: pyobjc-framework-ScreenSaver 2.2b1
Downloading http://pypi.python.org/packages/source/p/pyobjc-framework-ScreenSaver/pyobjc-framework-ScreenSaver-2.2b1.tar.gz#md5=efc75de2224a13c1726b67307c37a99e
Processing pyobjc-framework-ScreenSaver-2.2b1.tar.gz
Running pyobjc-framework-ScreenSaver-2.2b1/setup.py -q bdist_egg --dist-dir /var/folders/nT/nTiypn-v2RatkU+BYncrKU+++TI/-Tmp-/easy_install-m0V45R/pyobjc-framework-ScreenSaver-2.2b1/egg-dist-tmp-fWseAC
/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py:266: UserWarning: Unknown distribution option: 'options'
 warnings.warn(msg)
ld: in /Developer/SDKs/MacOSX10.4u.sdk/usr/local/lib/libTIFF.dylib, file is not of required architecture for architecture ppc
collect2: ld returned 1 exit status
lipo: can't open input file: /var/folders/nT/nTiypn-v2RatkU+BYncrKU+++TI/-Tmp-//ccuez0lM.out (No such file or directory)
error: Setup script exited with error: command 'gcc' failed with exit status 1


Clues appreciated.  Thanks.

rg